package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "ENDOPTIONS"
)
public class ENDOPTIONS {
   @XmlAttribute(
      name = "ENDTYPE",
      required = true
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String endtype;
   @XmlAttribute(
      name = "ENDON"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String endon;
   @XmlAttribute(
      name = "ENDAFTER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String endafter;
   @XmlAttribute(
      name = "RUNFOREVER"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String runforever;

   public String getENDTYPE() {
      return this.endtype;
   }

   public void setENDTYPE(String value) {
      this.endtype = value;
   }

   public String getENDON() {
      return this.endon;
   }

   public void setENDON(String value) {
      this.endon = value;
   }

   public String getENDAFTER() {
      return this.endafter;
   }

   public void setENDAFTER(String value) {
      this.endafter = value;
   }

   public String getRUNFOREVER() {
      return this.runforever;
   }

   public void setRUNFOREVER(String value) {
      this.runforever = value;
   }
}
